
Summary: A collection of card games
Name:    aisleriot
Version: 3.10.2
Release: 1%{?dist}
Epoch:   1
License: GPLv3+ and LGPLv3+ and GFDL
Group:   Amusements/Games
#VCS: git:git://git.gnome.org/aisleriot
Source:  http://download.gnome.org/sources/aisleriot/3.10/aisleriot-%{version}.tar.xz
URL:     http://live.gnome.org/Aisleriot

BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: GConf2-devel
BuildRequires: librsvg2-devel
BuildRequires: libcanberra-devel
BuildRequires: libICE-devel
BuildRequires: gstreamer-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: guile-devel
BuildRequires: yelp-tools
BuildRequires: desktop-file-utils

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Aisleriot is a collection of over 80 card games programmed in scheme.

%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

# Omit the valgrind suppression file; only for use during development
rm $RPM_BUILD_ROOT%{_libdir}/valgrind/aisleriot.supp

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/sol.desktop

%find_lang %{name} --with-gnome

%pre
%gconf_schema_prepare aisleriot

%preun
%gconf_schema_remove aisleriot

%post
%gconf_schema_upgrade aisleriot
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING.GPL3 COPYING.LGPL3 COPYING.GFDL
%{_bindir}/*
%{_libdir}/aisleriot
%{_libexecdir}/aisleriot/
%{_datadir}/aisleriot
%{_datadir}/applications/sol.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/HighContrast/*/apps/*.svg
%{_sysconfdir}/gconf/schemas/aisleriot.schemas
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_mandir}/man6/sol.6.gz

%changelog
* Tue Nov 12 2013 Richard Hughes <rhughes@redhat.com> - 1:3.10.2-1
- Update to 3.10.2

* Tue Oct 15 2013 Richard Hughes <rhughes@redhat.com> - 1:3.10.1-1
- Update to 3.10.1

* Wed Sep 25 2013 Richard Hughes <rhughes@redhat.com> - 1:3.10.0-1
- Update to 3.10.0

* Sat Aug 10 2013 Kalev Lember <kalevlember@gmail.com> - 1:3.9.90-1
- Update to 3.9.90

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Richard Hughes <rhughes@redhat.com> - 1:3.8.0-1
- Update to 3.8.0

* Thu Mar 14 2013 Matthias Clasen <mclasen@redhat.com> - 1:3.7.91-1
- Update to 3.7.91

* Sat Feb 16 2013 Kalev Lember <kalevlember@gmail.com> - 1:3.6.2-1
- Update to 3.6.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Kalev Lember <kalevlember@gmail.com> - 1:3.2.3.2-2
- Update to 3.2.3.2

* Tue Apr  3 2012 Cosimo Cecchi <cosimoc@redhat.com> - 1:3.2.3.1-2
- Add an epoch to fix upgrade path from the 3.3 package we currently
  ship in F17

* Tue Apr  3 2012 Cosimo Cecchi <cosimoc@redhat.com> - 3.2.3.1-1
- Downgrade to 3.2.3.1, since >= 3.3 depends on guile 2.0 which is not
  available in Fedora yet

* Tue Mar 27 2012 Richard Hughes <hughsient@gmail.com> - 3.4.0.1-1
- Update to 3.4.0.1

* Wed Mar 21 2012 Richard Hughes <rhughes@redhat.com> - 3.3.2-1
- Update to 3.3.2

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 21 2011 Matthias Clasen <mclasen@redhat.com> - 3.3.1-1
- Update to 3.3.1

* Tue Nov 22 2011 Tomas Bzatek <tbzatek@redhat.com> - 3.3.0-1
- Update to 3.3.0

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for glibc bug#747377

* Tue Oct 18 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.1-1
- Update to 3.2.1

* Wed Sep 28 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Tue Sep 20 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.92-1
- Update to 3.1.92

* Thu Sep  8 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.1-2
- Package review feedback

* Wed Sep  7 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.1-1
- Initial packaging
